Google Web Toolkit
Search Google Code:

# Class UnexpectedException

public class UnexpectedException
extends RuntimeException
The GWT RPC class throws UnexpectedException when a service method, being invoked by GWT RPC, throws a checked exception that is not in the service method's signature. Such exceptions are "unexpected" and the specific exception will be the cause of the UnexpectedException.

## Constructors

UnexpectedException(String, Throwable) | Construct an UnexpectedException.

## Constructor Detail

### UnexpectedException

public UnexpectedException(String message, Throwable cause)
Construct an UnexpectedException.

#### Parameters

message
  the detail message
cause
  the cause of this UnexpectedException